## mod-chxj 0.8.1p1.src

=== debian/changelog ===
libapache2-mod-chxj (0.8.1-1) unstable; urgency=low

  * fix warning.
  * It is corrected that it is possible to use it with apache2.2. 
  * Changed for Apache 2.2.x.
  * Changed so that ``Configure'' might run well by CentOS5.1.
  * Fixed Bug that Segmentation Falt had occurred when browser inforamtion was
    read in the AMD64 environment.
  * Fixed buf that the HTML conversion operates when connecting it from PC.
  * Fixed bug that the HTML conversion for jhtml.


 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 11 Jan 2008 18:39:44 +0900

libapache2-mod-chxj (0.8.0-1) unstable; urgency=low

  * add b tag.
  * add fieldset tag.
  * add cookie simulator.
  * To use neither SetOutputFilter nor SetInputFilter, it changes. 
  * add referer header simulator.
  * When '_ chxj_nc' parameter exists, the cookie is not renewed.
  * The bug that the dynamic qrcode output function doesn't operate is corrected. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.1-1) unstable; urgency=low

  * bug fix
      - it cannot correctly read the value when the backslash exists in the attribute.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.7.0-1) unstable; urgency=low

  * bug fix which the size before it converts it into Content-Length when HEAD of 
    the image conversion is requested is returned. 
  * change to acquire it even if the extension is attached by the image acquisition 
    request.
  * bug fix into which the submit value had not converted the character-code for HDML. 
  * bug fix #8585.
  * add user_agent rewrite function.
  * bug fix that the image conversion routine was executed two times.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.6.2-1) unstable; urgency=low

  * Fix bug which operates the character-code conversion when PC 
    accesses it. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

libapache2-mod-chxj (0.6.1-1) unstable; urgency=low

  * Initial release 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 19 Jun 2006 17:29:48 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)  " ./configure --with-apache-header=/usr/include/apache2 



build: build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE) all

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	rm -f ./config.sub && cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	rm -f ./config.guess && cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	@if test ! -L src/mod_chxj.so ; then cp src/.libs/libmod_chxj.so src/mod_chxj.so ; fi

	# Add here commands to install the package into debian/tmp
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	/usr/share/apache2/build/instdso.sh SH_LIBTOOL='/usr/bin/libtool' $(CURDIR)/src/mod_chxj.so \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/lib/apache2/modules
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	install -m 644 debian/chxj.load \
		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/mods-available
	mkdir -p \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 etc/*.xml \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
	install -m 644 doc/*.html \
		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mod-chxj 0.8.2

=== debian/changelog ===
libapache2-mod-chxj (0.8.2-1) unstable; urgency=low

  * Fixed Bug to which compile error occurs when A is specified. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun,  3 Feb 2008 01:40:33 +0900

## mod-chxj 0.8.3.src

=== debian/changelog ===
libapache2-mod-chxj (0.8.3-1) unstable; urgency=high

  * Fixed Bug  
    - The image conversion is not operated at the access by PC. 
	- Bug that doesn't erase cache file.
	  + default limit size is 100KByte.
	    but the setting cannot be changed now. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon,  4 Feb 2008 12:53:21 +0900

## mod-chxj 0.8.4.src

=== Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



pkgdatadir = $(datadir)/mod_chxj
pkglibdir = $(libdir)/mod_chxj
pkgincludedir = $(includedir)/mod_chxj
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = .
DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in $(top_srcdir)/configure \
	$(top_srcdir)/include/config.h.in AUTHORS COPYING ChangeLog \
	INSTALL NEWS TODO compile config.guess config.sub depcomp \
	install-sh ltmain.sh missing
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno config.status.lineno
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
	html-recursive info-recursive install-data-recursive \
	install-dvi-recursive install-exec-recursive \
	install-html-recursive install-info-recursive \
	install-pdf-recursive install-ps-recursive install-recursive \
	installcheck-recursive installdirs-recursive pdf-recursive \
	ps-recursive uninstall-recursive
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
ETAGS = etags
CTAGS = ctags
DIST_SUBDIRS = $(SUBDIRS)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
distdir = $(PACKAGE)-$(VERSION)
top_distdir = $(distdir)
am__remove_distdir = \
  { test ! -d $(distdir) \
    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
         && rm -fr $(distdir); }; }
DIST_ARCHIVES = $(distdir).tar.gz
GZIP_ENV = --best
distuninstallcheck_listfiles = find . -type f -print
distcleancheck_listfiles = find . -type f -print
ACLOCAL = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run tar
APR_1_CONFIG = 
APR_CONFIG = /usr/bin/apr-config
APU_1_CONFIG = 
APU_CONFIG = /usr/bin/apu-config
APXS = /usr/bin/apxs2
APXS2 = 
AR = ar
AUTOCONF = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2   -I/usr/include -g -O2 -Wall -pthread  -I/usr/include/apr-1.0   -pipe -Wall -g -O2 -pthread  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -I/usr/include/apr-1.0 -I/usr/include/postgresql
CPP = gcc -E
CPPFLAGS =   -I/usr/include/apr-1.0  -I/usr/include/apache2
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DDEFS = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lapr-1  -liconv_hook -L/usr/lib -L/usr/lib/X11 -L/usr/lib -lWand -lMagick -llcms -ltiff -lfreetype -ljasper -ljpeg -lpng -lXext -lXt -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lpthread -lm -lpthread     -luuid -lrt -lcrypt  -lpthread -ldl      
LIBTOOL = /usr/bin/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = mod_chxj
PACKAGE_BUGREPORT = 
PACKAGE_NAME = mod_chxj
PACKAGE_STRING = mod_chxj 0.8.4-1
PACKAGE_TARNAME = mod_chxj
PACKAGE_VERSION = 0.8.4-1
PATH_SEPARATOR = :
QDEFS = -DIMG_NOT_CONVERT_FILENAME
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.8.4-1
WAND_CONFIG = /usr/bin/Wand-config
abs_builddir = /home/konno/work/mod-chxj_0.8.4
abs_srcdir = /home/konno/work/mod-chxj_0.8.4
abs_top_builddir = /home/konno/work/mod-chxj_0.8.4
abs_top_srcdir = /home/konno/work/mod-chxj_0.8.4
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/konno/work/mod-chxj_0.8.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_builddir = .
top_srcdir = .
with_apache_header = /usr/include/apache2
SUBDIRS = src
all: all-recursive

.SUFFIXES:
am--refresh:
	@:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
	      cd $(srcdir) && $(AUTOMAKE) --gnu  \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    echo ' $(SHELL) ./config.status'; \
	    $(SHELL) ./config.status;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(srcdir) && $(AUTOCONF)
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

include/config.h: include/stamp-h1
	@if test ! -f $@; then \
	  rm -f include/stamp-h1; \
	  $(MAKE) $(AM_MAKEFLAGS) include/stamp-h1; \
	else :; fi

include/stamp-h1: $(top_srcdir)/include/config.h.in $(top_builddir)/config.status
	@rm -f include/stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status include/config.h
$(top_srcdir)/include/config.h.in:  $(am__configure_deps) 
	cd $(top_srcdir) && $(AUTOHEADER)
	rm -f include/stamp-h1
	touch $@

distclean-hdr:
	-rm -f include/config.h include/stamp-h1

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool

# This directory's subdirectories are mostly independent; you can cd
# into them and run `make' without going through this Makefile.
# To change the values of `make' variables: instead of editing Makefiles,
# (1) if the variable is set in `config.status', edit `config.status'
#     (which will cause the Makefiles to be regenerated when you run `make');
# (2) otherwise, pass the desired values on the `make' command line.
$(RECURSIVE_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

$(RECURSIVE_CLEAN_TARGETS):
	@failcom='exit 1'; \
	for f in x $$MAKEFLAGS; do \
	  case $$f in \
	    *=* | --[!k]*);; \
	    *k*) failcom='fail=yes';; \
	  esac; \
	done; \
	dot_seen=no; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	rev=''; for subdir in $$list; do \
	  if test "$$subdir" = "."; then :; else \
	    rev="$$subdir $$rev"; \
	  fi; \
	done; \
	rev="$$rev ."; \
	target=`echo $@ | sed s/-recursive//`; \
	for subdir in $$rev; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done && test -z "$$fail"
tags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
	done
ctags-recursive:
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \

=== src/Makefile ===
# Makefile.in generated by automake 1.10 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




pkgdatadir = $(datadir)/mod_chxj
pkglibdir = $(libdir)/mod_chxj
pkgincludedir = $(includedir)/mod_chxj
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/include/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(libdir)"
libLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(lib_LTLIBRARIES)
libmod_chxj_la_LIBADD =
am_libmod_chxj_la_OBJECTS = libmod_chxj_la-mod_chxj.lo \
	libmod_chxj_la-qs_parse_string.lo libmod_chxj_la-qs_log.lo \
	libmod_chxj_la-qs_malloc.lo libmod_chxj_la-qs_parse_tag.lo \
	libmod_chxj_la-qs_parse_attr.lo libmod_chxj_la-qs_ignore_sp.lo \
	libmod_chxj_la-qs_parse_file.lo \
	libmod_chxj_la-chxj_load_device_data.lo \
	libmod_chxj_la-chxj_load_emoji_data.lo \
	libmod_chxj_la-chxj_tag_util.lo \
	libmod_chxj_la-chxj_specified_device.lo \
	libmod_chxj_la-chxj_xhtml_mobile_1_0.lo \
	libmod_chxj_la-chxj_hdml.lo libmod_chxj_la-chxj_chtml10.lo \
	libmod_chxj_la-chxj_chtml20.lo libmod_chxj_la-chxj_chtml30.lo \
	libmod_chxj_la-chxj_jhtml.lo libmod_chxj_la-chxj_str_util.lo \
	libmod_chxj_la-chxj_img_conv.lo libmod_chxj_la-chxj_dump.lo \
	libmod_chxj_la-chxj_img_conv_format.lo \
	libmod_chxj_la-chxj_qr_code.lo libmod_chxj_la-chxj_calc_ecc.lo \
	libmod_chxj_la-chxj_apply_convrule.lo \
	libmod_chxj_la-chxj_encoding.lo \
	libmod_chxj_la-chxj_node_exchange.lo \
	libmod_chxj_la-chxj_url_encode.lo \
	libmod_chxj_la-chxj_preg_replace.lo \
	libmod_chxj_la-chxj_cookie.lo
libmod_chxj_la_OBJECTS = $(am_libmod_chxj_la_OBJECTS)
libmod_chxj_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(libmod_chxj_la_CFLAGS) \
	$(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)/include
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
	$(LDFLAGS) -o $@
SOURCES = $(libmod_chxj_la_SOURCES)
DIST_SOURCES = $(libmod_chxj_la_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run aclocal-1.10
AMTAR = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run tar
APR_1_CONFIG = 
APR_CONFIG = /usr/bin/apr-config
APU_1_CONFIG = 
APU_CONFIG = /usr/bin/apu-config
APXS = /usr/bin/apxs2
APXS2 = 
AR = ar
AUTOCONF = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run autoconf
AUTOHEADER = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run autoheader
AUTOMAKE = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run automake-1.10
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Wall -g -O2   -I/usr/include -g -O2 -Wall -pthread  -I/usr/include/apr-1.0   -pipe -Wall -g -O2 -pthread  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -I/usr/include/apr-1.0 -I/usr/include/postgresql
CPP = gcc -E
CPPFLAGS =   -I/usr/include/apr-1.0  -I/usr/include/apache2
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DDEFS = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
F77 = 
FFLAGS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = -lapr-1  -liconv_hook -L/usr/lib -L/usr/lib/X11 -L/usr/lib -lWand -lMagick -llcms -ltiff -lfreetype -ljasper -ljpeg -lpng -lXext -lXt -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lpthread -lm -lpthread     -luuid -lrt -lcrypt  -lpthread -ldl      
LIBTOOL = /usr/bin/libtool
LIBTOOL_DEPS = ./ltmain.sh
LN_S = ln -s
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/konno/work/mod-chxj_0.8.4/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
PACKAGE = mod_chxj
PACKAGE_BUGREPORT = 
PACKAGE_NAME = mod_chxj
PACKAGE_STRING = mod_chxj 0.8.4-1
PACKAGE_TARNAME = mod_chxj
PACKAGE_VERSION = 0.8.4-1
PATH_SEPARATOR = :
QDEFS = -DIMG_NOT_CONVERT_FILENAME
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.8.4-1
WAND_CONFIG = /usr/bin/Wand-config
abs_builddir = /home/konno/work/mod-chxj_0.8.4/src
abs_srcdir = /home/konno/work/mod-chxj_0.8.4/src
abs_top_builddir = /home/konno/work/mod-chxj_0.8.4
abs_top_srcdir = /home/konno/work/mod-chxj_0.8.4
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = $(SHELL) /home/konno/work/mod-chxj_0.8.4/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
top_builddir = ..
top_srcdir = ..
with_apache_header = /usr/include/apache2
CLEANFILES = .libs/mod_chxj *~
libmod_chxj_la_SOURCES = mod_chxj.c \
    qs_parse_string.c \
    qs_log.c \
    qs_malloc.c \
    qs_parse_tag.c \
    qs_parse_attr.c \
    qs_ignore_sp.c \
    qs_parse_file.c \
    chxj_load_device_data.c \
    chxj_load_emoji_data.c  \
    chxj_tag_util.c  \
    chxj_specified_device.c  \
    chxj_xhtml_mobile_1_0.c \
    chxj_hdml.c \
    chxj_chtml10.c \
    chxj_chtml20.c \
    chxj_chtml30.c  \
    chxj_jhtml.c \
    chxj_str_util.c  \
    chxj_img_conv.c  \
    chxj_dump.c \
	chxj_img_conv_format.c \
    chxj_qr_code.c \
    chxj_calc_ecc.c \
    chxj_apply_convrule.c \
    chxj_encoding.c \
    chxj_node_exchange.c \
    chxj_url_encode.c \
    chxj_preg_replace.c \
    chxj_cookie.c

libmod_chxj_la_CFLAGS = -O2 -prefer-pic -DIMG_NOT_CONVERT_FILENAME  -I. -I../include -I/usr/include/apache2 
AM_CFLAGS = -Wall -g -O2   -I/usr/include -g -O2 -Wall -pthread  -I/usr/include/apr-1.0   -pipe -Wall -g -O2 -pthread  -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -I/usr/include/apr-1.0 -I/usr/include/postgresql -O2 -prefer-pic -DIMG_NOT_CONVERT_FILENAME  -I. -I../include -I/usr/include/apache2
lib_LTLIBRARIES = libmod_chxj.la
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f=$(am__strip_dir) \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) '$$p' '$(DESTDIR)$(libdir)/$$f'"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) "$$p" "$(DESTDIR)$(libdir)/$$f"; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$p"; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libmod_chxj.la: $(libmod_chxj_la_OBJECTS) $(libmod_chxj_la_DEPENDENCIES) 
	$(libmod_chxj_la_LINK) -rpath $(libdir) $(libmod_chxj_la_OBJECTS) $(libmod_chxj_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/libmod_chxj_la-chxj_apply_convrule.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_calc_ecc.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_chtml10.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_chtml20.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_chtml30.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_cookie.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_dump.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_encoding.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_hdml.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_img_conv.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_img_conv_format.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_jhtml.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_load_device_data.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_load_emoji_data.Plo
include ./$(DEPDIR)/libmod_chxj_la-chxj_node_exchange.Plo

=== debian/changelog ===
libapache2-mod-chxj (0.8.4-1) unstable; urgency=low

  * Fixed Bug that deb package doesn't correspond to Apache2.2. 
  * Added features: 
    - ``ChxjImageCacheLimit'' directive.
    - The serial number of "image workfile name" is deleted. 
  * Added Document:
    ``ChxjImageCacheLimit'' directive.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue,  5 Feb 2008 20:33:16 +0900

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 config.status: configure
 	dh_testdir
 	# Add here commands to configure the package.
-	CFLAGS="$(CFLAGS)  " ./configure --with-apache-header=/usr/include/apache2 
+	CFLAGS="$(CFLAGS)  " ./configure --with-apache-header=/usr/include/apache2 --with-apxs=/usr/bin/apxs2
 
 
 
@@ -86,6 +86,10 @@
 		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
 	install -m 644 etc/*.xml \
 		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
+	mkdir -p \
+		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/chxj
+	install -m 644 etc/*.xml \
+		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/chxj
 	install -m 644 doc/*.html \
 		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj

## mod-chxj 0.8.5.src

=== debian/changelog ===
libapache2-mod-chxj (0.8.5-1) unstable; urgency=low

  * Fixed Bug
    - when the image of non-correspondence is converted, and aborted.
  * Changed features.
    - Being able to convert the image changed only to jpeg, png, and gif. 

 -- Atsushi Konno <konn@users.sorceforge.jp>  Thu, 14 Feb 2008 20:53:02 +0900

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,6 @@
 
 config.status: configure
 	dh_testdir
-	# Add here commands to configure the package.
 	CFLAGS="$(CFLAGS)  " ./configure --with-apache-header=/usr/include/apache2 --with-apxs=/usr/bin/apxs2
 
 
@@ -86,10 +85,6 @@
 		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
 	install -m 644 etc/*.xml \
 		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj/examples
-	mkdir -p \
-		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/chxj
-	install -m 644 etc/*.xml \
-		$(CURDIR)/debian/libapache2-mod-chxj/etc/apache2/chxj
 	install -m 644 doc/*.html \
 		$(CURDIR)/debian/libapache2-mod-chxj/usr/share/doc/libapache2-mod-chxj

## mod-chxj 0.8.6.src

=== debian/changelog ===
libapache2-mod-chxj (0.8.6-1) unstable; urgency=low

  * Added error messages
    - the error message of the parsing machine of HTML. 
    - the error message when the character-code is converted. 
  * Fixed Bug
    - forgotten that apache2.0.x doesn't have ap_regex.h. (reported by R)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Wed, 12 Mar 2008 01:49:16 +0900

## mod-chxj 0.9.0.src

=== debian/changelog ===
libapache2-mod-chxj (0.9.0-1) unstable; urgency=low

  * Added Features
    - Cookie can have been recorded in MySQL. 
	- Cookie can have been recorded in memcached. 
  * Fixed Bug
    - When mpeg is downloaded, it memory a large amount of consumes it.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 24 Mar 2008 00:57:55 +0900

libapache2-mod-chxj (0.8.7-1) unstable; urgency=low

  * Fixed Bug
    - Using AC_FUNC_MALLOC by mistake.
      AC_FUNC_MALLOC is neatly used because it is too good though
      it is not necessary.
      AC_FUNC_MALLOC reacts for CentOS due to the bug of autoconf2.59.
    - When ap_regex.h is not found, pcre.h is used. In that case, to use
      pcre-config.
  * Changed Features
    - Abolition of libiconv. use glibc/iconv.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 17 Mar 2008 23:02:33 +0900

## mod-chxj 0.10.0.src

=== debian/changelog ===
libapache2-mod-chxj (0.10.0-1) unstable; urgency=low

  * Added Features. 
    - Add cookie path validator.
    - Add cookie domain validator.
    - Add cookie expires validator.
    - Add cookie secure validator.
    - Add content-type ``application/xhtml+xml''
    - use Buffering.
    - Added Cookie Lazy ID mode.
    - Cookie simulator(delete experimental)
  * Fixed bug.
    - Parsing is abnormal of the comment tag.
    - Parsing is abnormal of the script tag.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Mon, 31 Mar 2008 17:58:05 +0900

## mod-chxj 0.10.1.src

=== debian/changelog ===
libapache2-mod-chxj (0.10.1-1) unstable; urgency=low

  * Fixed bug.
    - forgot to do -1 in the string length specification part though sizeof was used with STRNCASECMP. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue,  1 Apr 2008 19:08:27 +0900

## mod-chxj 0.10.2.src

=== debian/changelog ===
libapache2-mod-chxj (0.10.2-1) unstable; urgency=low

  * Fixed bug. 
    - cookie ID is not added when redirect.(reported by bayside)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Tue,  1 Apr 2008 23:47:26 +0900

## mod-chxj 0.10.3.src

=== debian/changelog ===
libapache2-mod-chxj (0.10.3-1) unstable; urgency=low

  * Fixed bug.
      - Cookie ID is not given, except when Content-type is text/html and
        application/xhtml+xml.  (Reported by bayside. Thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 10 Apr 2008 23:30:52 +0900

## mod-chxj 0.11.0.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.0-1) unstable; urgency=low

  * Fixed bug.
    - chxj_encoding and chxj_rencoding invalid destlen.
    - <p>a</p> ==> <p></p>a convertion defect.
    - The line feed code is disregarded at <pre> tag. 

  * Added Features.
    - Added <blockquote> tag to CHTML1.0 converter.
    - Added <br> tag clear attribute to CHTML1.0 converter.
    - Added <dir> tag to CHTML1.0 converter.
    - Added <dl> tag to CHTML1.0 converter.
    - Added <dt> tag to CHTML1.0 converter.
    - Added <dd> tag to CHTML1.0 converter.
    - Added <menu> tag to CHTML1.0 converter.
    - Added <p align> attribute to CHTML1.0 converter.
    - Added <plaintext> tag to CHTML1.0 converter. (no parse mode)
    - Added <blockquote> tag to CHTML2.0 converter.
    - Added <dl> tag to CHTML2.0 converter.
    - Added <dt> tag to CHTML2.0 converter.
    - Added <dd> tag to CHTML2.0 converter.
    - Added <h1 align> attribute to CHTML2.0 converter.
    - Added <h2 align> attribute to CHTML2.0 converter.
    - Added <h3 align> attribute to CHTML2.0 converter.
    - Added <h4 align> attribute to CHTML2.0 converter.
    - Added <h5 align> attribute to CHTML2.0 converter.
    - Added <h6 align> attribute to CHTML2.0 converter.
    - Added <li type> attribute to CHTML2.0 converter.
    - Added <li value> attribute to CHTML2.0 converter.
    - Added <menu> tag to CHTML2.0 converter.
    - Added <ol type> attribute to CHTML2.0 converter.
    - Added <ol start> attribute to CHTML2.0 converter.
    - Added <p align> attribute to CHTML2.0 converter.
    - Added <textarea accesskey> attribute to CHTML2.0 converter.
    - Added <textarea istyle> attribute to CHTML2.0 converter.
    - Added <blink> tag to CHTML2.0 converter.
    - Added <marquee> tag to CHTML2.0 converter.
    - Added <plaintext> tag to CHTML2.0 converter. (no parse mode)
    - Added <blockquote> tag to CHTML3.0 converter.
    - Added <dir> tag to CHTML3.0 converter.
    - Added <dl> tag to CHTML3.0 converter.
    - Added <dt> tag to CHTML3.0 converter.
    - Added <dd> tag to CHTML3.0 converter.
    - Added <h1 align> attribute to CHTML3.0 converter.
    - Added <h2 align> attribute to CHTML3.0 converter.
    - Added <h3 align> attribute to CHTML3.0 converter.
    - Added <h4 align> attribute to CHTML3.0 converter.
    - Added <h5 align> attribute to CHTML3.0 converter.
    - Added <h6 align> attribute to CHTML3.0 converter.
    - Added <blink> tag to CHTML3.0 converter.
    - Added <marquee> tag to CHTML3.0 converter.
    - Added <ol type> attribute to CHTML3.0 converter.
    - Added <ol start> attribute to CHTML3.0 converter.
    - Added <p align> attribute to CHTML3.0 converter.
    - Added <textarea accesskey> attribute to CHTML3.0 converter.
    - Added <textarea istyle> attribute to CHTML3.0 converter.
    - Added <li type> attribute to CHTML3.0 converter.
    - Added <li value> attribute to CHTML3.0 converter.
    - Added <menu> tag to CHTML3.0 converter.
    - Added <plaintext> tag to CHTML3.0 converter. (no parse mode)
    - Added <blockquote> tag to au XHTML converter.
    - Added <dir> tag to au XHTML converter.
    - Added <dl> tag to au XHTML converter.
    - Added <dt> tag to au XHTML converter.
    - Added <dd> tag to au XHTML converter.
    - Added <h1 align> attribute to au XHTML converter.
    - Added <h2 align> attribute to au XHTML converter.
    - Added <h3 align> attribute to au XHTML converter.
    - Added <h4 align> attribute to au XHTML converter.
    - Added <h5 align> attribute to au XHTML converter.
    - Added <h6 align> attribute to au XHTML converter.
    - Added <hr align> attribute to au XHTML converter.
    - Added <hr size> attribute to au XHTML converter.
    - Added <hr width> attribute to au XHTML converter.
    - Added <li type> attribute to au XHTML converter.
    - Added <li value> attribute to au XHTML converter.
    - Added <menu> tag to au XHTML converter.
    - Added <ol type> attribute to au XHTML converter.
    - Added <ol start> attribute to au XHTML converter.
    - Added <plaintext> tag to au XHTML converter. (no parse mode)
    - Added <textarea accesskey> attribute to au XHTML converter.
    - Added <textarea istyle> attribute to au XHTML converter.
    - Added <plaintext> tag to au XHTML converter. (no parse mode)
    - Added <blockquote> tag to au HDML converter.
    - Added <dir> tag to au HDML converter.
    - Added <dl> tag to au HDML converter.
    - Added <dt> tag to au HDML converter.
    - Added <dd> tag to au HDML converter.
    - Added <h1 align> attribute for au HDML converter.
    - Added <h2 align> attribute for au HDML converter.
    - Added <h3 align> attribute for au HDML converter.
    - Added <h4 align> attribute for au HDML converter.
    - Added <h5 align> attribute for au HDML converter.
    - Added <h6 align> attribute for au HDML converter.
    - Added <menu> tag to au HDML converter.
    - Added <p align> attribute to au HDML converter.
    - Added <plaintext> tag to au HDML converter. (no parse mode)
    - Added <pre> tag to au HDML converter. 
    - Added <textarea> attribute to au HDML converter.
    - Added <blockquote> tag to SoftBank HTML converter.
    - Added <br clear> attribute to SoftBank HTML converter.
    - Added <dir> tag to SoftBank HTML converter.
    - Added <dl> tag to SoftBank HTML converter.
    - Added <dt> tag to SoftBank HTML converter.
    - Added <dd> tag to SoftBank HTML converter.
    - Added <h1 align> attribute for SoftBank HTML converter.
    - Added <h2 align> attribute for SoftBank HTML converter.
    - Added <h3 align> attribute for SoftBank HTML converter.
    - Added <h4 align> attribute for SoftBank HTML converter.
    - Added <h5 align> attribute for SoftBank HTML converter.
    - Added <h6 align> attribute for SoftBank HTML converter.

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 19 Apr 2008 16:44:57 +0900

libapache2-mod-chxj (0.10.5-1) unstable; urgency=low

  * Fixed bug.
    - the value of the script tag is displayed.


## mod-chxj 0.11.1.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.1-1) unstable; urgency=low

  * Fixed bug. 
    - ``Off'' did not work by the ChxjImageEngine directive. 
      (Reported by R. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 24 Apr 2008 19:54:14 +0900

## mod-chxj 0.11.2.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.2-1) unstable; urgency=low

  * Fixed Bug.
    - Because Input_filter of Apache is a fuck-shit, it abolishes it. 
      Proxy is made at one's own expense by using libserf instead. 
      (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu, 26 Jun 2008 10:32:44 +0900

## mod-chxj 0.11.3.src

=== test/chxj_xhtml_mobile_1_0/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_xhtml_mobile_1_0

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== test/qs_parse_string/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_parse_comment_tag \
  test_parse_script_tag

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./test_parse_comment_tag	
	./test_parse_script_tag	

test_parse_comment_tag: test_parse_comment_tag.c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1

test_parse_script_tag: test_parse_script_tag.c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1

clean:
	rm -f ./test_parse_comment_tag
	rm -f ./test_parse_script_tag

=== debian/changelog ===
libapache2-mod-chxj (0.11.3-1) unstable; urgency=low

  * Added APR 0.9 support for chxj_serf. 

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 27 Jun 2008 09:44:42 +0900

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 config.status: configure
 	dh_testdir
-	CFLAGS="$(CFLAGS)  " ./configure --with-apache-header=/usr/include/apache2 --with-apxs=/usr/bin/apxs2
+	CFLAGS="$(CFLAGS)  " ./configure --enable-mysql-cookie --with-mysql-header=/usr/include/mysql --with-mysql-lib-dir=/usr/lib

## mod-chxj 0.11.4.src

=== test/chxj_chtml20/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_chtml20

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.11.4-1) unstable; urgency=low

  * Fixed bug.
    - '+' has not been converted into ' '.
    - The bug that was not able to be displayed correctly when a
      double quart was included in value.
    - Set-Cookie is not executed at CGI.
      (Reported by R.Komoriya. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Fri, 27 Jun 2008 16:02:03 +0900

## mod-chxj 0.11.5.src

=== test/chxj_chtml10/Makefile ===
.SUFFIXES:
.SUFFIXES: .c.o

TARGET= test_chxj_chtml10

TOP_DIR=../..

INC_DIR=-I$(TOP_DIR)/include \
  -I/usr/include/apache2 \
  -I/usr/include/apr-1.0 \
  -I$(TOP_DIR)/src

all:test



test: $(TARGET)
	./$(TARGET)

$(TARGET): $(TARGET).c
	gcc -g -o $@ -Wall -lcunit $< $(INC_DIR) -DLINUX=2 -D_REENTRANT -D_GNU_SOURCE -D_LARGEFILE64_SOURCE  -lapr-1 -laprutil-1 


clean:
	rm -f ./$(TARGET)

=== debian/changelog ===
libapache2-mod-chxj (0.11.5-1) unstable; urgency=low

  * Fixed bug.
    - cannot be redirected since 0.11.2
      (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Thu,  3 Jul 2008 20:13:57 +0900

=== debian/control ===
Source: libapache2-mod-chxj
Priority: optional
Maintainer: Atsushi Konno <konn@users.sourceforge.jp>
Build-Depends: debhelper (>= 5.0.42), autotools-dev, apache2 (>=2.2.3), libapr1 (>=1.2.7), libaprutil1 (>=1.2.7), libmagick9-dev (>=6.2.4.5-0.6), libiconv-hook1 (>=0.0.20021209-6.1)
Standards-Version: 3.6.2
Section: libs

Package: libapache2-mod-chxj-dev
Section: libdevel
Architecture: any
Depends: libapache2-mod-chxj (= ${Source-Version})
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.0. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function. 


Package: libapache2-mod-chxj
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CHTML to HDML,XHTML,JHTML convert module.
  The contents conversion middleware for domestic main carrying (three careers) is made as a module for Apache2.0. UserAgent is seen when contents made with CHTML are output and it converts it into HDML, XHTML, and JHTML (The image : to JPG, GIF, JPG, GIF from PNG, and PNG and BMP). With QR code generation function.

## mod-chxj 0.11.6.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.6-1) unstable; urgency=low

  * Fixed BUG.
    - The display collapses when the cookie function is made effective with
      the SoftBank terminal. 
      (Reported by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 12 Jul 2008 00:32:25 +0900

## mod-chxj 0.11.7.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.7-1) unstable; urgency=low

  * Added name attribute of form tag.
    - softbank and au only.
      (Requested by tiruda1600 _at_ users.sourceforge.jp. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sat, 12 Jul 2008 00:55:48 +0900

## mod-chxj 0.11.8.src

=== debian/changelog ===
libapache2-mod-chxj (0.11.8-1) unstable; urgency=low

  * Added function.
    - The au terminal is handled as NO Cookie model. (For http -> https or https -> http exchange.)
      (Requested by someone. thanks!)

 -- Atsushi Konno <konn@users.sourceforge.jp>  Sun, 13 Jul 2008 19:03:21 +0900
